export default Select;
/**
 * @deprecated Use the `NewSelect` component instead. This component will be removed in a future release.
 **/
declare function Select({ name, optionKeyName, options, labelText, rightLabel, customClass, isError, searchBar, optGroup, optGroupSections, optGroupingKey, position, clickText, onClick, defaultText, verticalDisplay, offset, disabled, selectedItem, secondaryValue, viewItem, secondaryValuePosition, onChange, stateName, ignoreSecondaryCase, ignoredValues, noOptionsText, selectAllItem, selectAllPrefix, selectAllSuffix, onBlurCallout, required, stationary, loading, dropdownClassName, onSearchChange, header, secondaryHeader, highlightMatchText, fieldToMatch, isOpen, mobilePopover, mobileMenuHeaders, onOpenChange, clickTextCustomClass, animationType, autoFocus, noSplitValueDivider, keyValue, viewItemText, popoverCustomStyles, labelTooltip, }: {
    name: any;
    optionKeyName: any;
    options: any;
    labelText: any;
    rightLabel: any;
    customClass: any;
    isError: any;
    searchBar: any;
    optGroup: any;
    optGroupSections: any;
    optGroupingKey: any;
    position: any;
    clickText: any;
    onClick: any;
    defaultText: any;
    verticalDisplay: any;
    offset: any;
    disabled: any;
    selectedItem: any;
    secondaryValue: any;
    viewItem: any;
    secondaryValuePosition: any;
    onChange: any;
    stateName: any;
    ignoreSecondaryCase: any;
    ignoredValues: any;
    noOptionsText: any;
    selectAllItem: any;
    selectAllPrefix: any;
    selectAllSuffix: any;
    onBlurCallout: any;
    required: any;
    stationary: any;
    loading: any;
    dropdownClassName?: string | undefined;
    onSearchChange: any;
    header?: string | undefined;
    secondaryHeader?: string | undefined;
    highlightMatchText?: string | undefined;
    fieldToMatch: any;
    isOpen: any;
    mobilePopover?: boolean | undefined;
    mobileMenuHeaders: any;
    onOpenChange: any;
    clickTextCustomClass: any;
    animationType: any;
    autoFocus: any;
    noSplitValueDivider: any;
    keyValue?: string | undefined;
    viewItemText?: string | undefined;
    popoverCustomStyles?: {} | undefined;
    labelTooltip: any;
}): React.JSX.Element;
declare namespace Select {
    namespace propTypes {
        let name: any;
        let optionKeyName: any;
        let options: any;
        let labelText: any;
        let customClass: any;
        let isError: any;
        let searchBar: any;
        let position: any;
        let clickText: any;
        let defaultText: any;
        let verticalDisplay: any;
        let offset: any;
        let disabled: any;
        let selectedItem: any;
        let secondaryValue: any;
        let secondaryValuePosition: any;
        let onChange: any;
        let onClick: any;
        let onSearchChange: any;
        let stateName: any;
        let ignoreSecondaryCase: any;
        let ignoredValues: any;
        let noOptionsText: any;
        let selectAllItem: any;
        let selectAllPrefix: any;
        let selectAllSuffix: any;
        let onBlurCallout: any;
        let required: any;
        let stationary: any;
        let loading: any;
        let optGroup: any;
        let optGroupSections: any;
        let optGroupingKey: any;
        let viewItem: any;
        let header: any;
        let secondaryHeader: any;
        let highlightMatchText: any;
        let fieldToMatch: any;
        let isOpen: any;
        let onOpenChange: any;
        let clickTextCustomClass: any;
        let animationType: any;
        let autoFocus: any;
        let noSplitValueDivider: any;
        let mobilePopover: any;
        let mobileMenuHeaders: any;
        let labelTooltip: any;
        let rightLabel: any;
    }
}
import React from 'react';
